Create a logical tenant E-mail template.
POST
/v1/tenants/{tenantNumber}/email-templates
const url = 'https://api.dev.iot-sens.schlossers.at/v1/tenants/1/email-templates';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"key":"example","name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.dev.iot-sens.schlossers.at/v1/tenants/1/email-templates \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "key": "example", "name": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenantNumber
required
integer format: int32
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
key
required
string
name
required
string
Examplegenerated
{ "key": "example", "name": "example"}Responses
Section titled “Responses”E-mail template created.
default
Section titled “default”A safe platform error response.
Media typeapplication/json
object
error
required
object
Example
{ "error": { "code": "VALIDATION_FAILED", "category": "validation" }}Headers
Section titled “Headers”Cache-Control
string